function cac_make_config(userName)
try
    sched = findResource('scheduler','configuration','cacscheduler');
    fprintf(' ********* WARNING *********** \n\n');
    fprintf('You have a "cacscheduler" configuration already installed\n');
    fprintf('Do you wish to replace your existing configuration?\n\n');
    
    cnt = input('Press ''y'' to continue the installation: ','s');
    
    if ~strcmp(cnt,'y')
        fprintf('aborting cac_make_config\n');
        return;
    end
    distcomp.configuration.deleteConfig('cacscheduler');
catch e
    if ~strfind(e.message,'Could not find')
        % unknown error
        error(e.message);
    end
end

sched = cacsched(userName);
new_name = distcomp.configuration.createNewFromScheduler(sched);
new_config = distcomp.configuration(new_name);
new_config.pSetName('cacscheduler');
new_config.Description = 'cac configuration';
new_config.job.setIsEnabled('PathDependencies',true);
new_config.job.setValue('PathDependencies',{sched.UserData.UserHome});
new_config.paralleljob.setIsEnabled('PathDependencies',true);
new_config.paralleljob.setValue('PathDependencies',{sched.UserData.UserHome});
new_config.save();

end